Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1725810 - /usr/lib/systemd/system/clamd@scan.service:1: .include directives are deprecated
Summary: /usr/lib/systemd/system/clamd@scan.service:1: .include directives are deprecated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clamav
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-01 13:38 UTC by Harald Reindl
Modified: 2020-03-05 07:44 UTC (History)
14 users (show)

Fixed In Version: clamav-0.101.5-1.fc30 clamav-0.101.5-1.fc31 clamav-0.101.5-1.el8 clamav-0.101.5-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-01 01:04:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Harald Reindl 2019-07-01 13:38:33 UTC
please look at your systemlogs when you mangle around in unit files

clamd-0.101.2-2.fc29.x86_64

Jul  1 15:34:23 testserver systemd[1]: /usr/lib/systemd/system/clamd@scan.service:1: .include directives are deprecated, and support for them will be removed in a future version of systemd. Please use drop-in files instead.
Jul  1 15:34:23 testserver systemd[1]: /usr/lib/systemd/system/clamd@scan.service:1: .include directives are deprecated, and support for them will be removed in a future version of systemd. Please use drop-in files instead.
Jul  1 15:34:24 testserver systemd[1]: /usr/lib/systemd/system/clamd@scan.service:1: .include directives are deprecated, and support for them will be removed in a future version of systemd. Please use drop-in files instead.
Jul  1 15:34:24 testserver systemd[1]: /usr/lib/systemd/system/clamd@scan.service:1: .include directives are deprecated, and support for them will be removed in a future version of systemd. Please use drop-in files instead.
Jul  1 15:34:49 testserver systemd[1]: /usr/lib/systemd/system/clamd@scan.service:1: .include directives are deprecated, and support for them will be removed in a future version of systemd. Please use drop-in files instead.
Jul  1 15:34:49 testserver systemd[1]: /usr/lib/systemd/system/clamd@scan.service:1: .include directives are deprecated, and support for them will be removed in a future version of systemd. Please use drop-in files instead.
Jul  1 15:34:49 testserver systemd[1]: /usr/lib/systemd/system/clamd@scan.service:1: .include directives are deprecated, and support for them will be removed in a future version of systemd. Please use drop-in files instead.
Jul  1 15:34:50 testserver systemd[1]: /usr/lib/systemd/system/clamd@scan.service:1: .include directives are deprecated, and support for them will be removed in a future version of systemd. Please use drop-in files instead.

Comment 1 Sergio Basto 2019-07-01 15:08:20 UTC
Thanks for the report, have you any patch or pull request to fix this warning ?

Comment 2 Harald Reindl 2019-07-01 15:14:40 UTC
https://coreos.com/os/docs/latest/using-systemd-drop-in-units.html
for distibution stuff as usual /usr/lib/systemd/systemd/servicename.d/

i don't use the shipped service at all which makes it even worser

is this really needed at all?
when someone overwrites the complete unit in /etc/systemd/system he also needs to be ware that the dropins have to be symlinked to /dev/null or you still have a mix of your intended complete override and distro snippets which becomes a nightmare if they are randomly introduced within minor package updates not even raise a upstream version like this

Comment 3 Ben Cotton 2019-10-31 18:44:45 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Orion Poplawski 2019-11-01 04:18:14 UTC
Pull request here: https://src.fedoraproject.org/rpms/clamav/pull-request/7

constructive comments welcome.  This drops the clamd@scan.service unit and makes use of the clamd@.service instance unit.

Comment 5 Frank Büttner 2019-11-12 09:58:46 UTC
Same on F30.

Comment 6 Dimitris 2019-11-18 12:40:27 UTC
Same problem in CentOS 8 and epel-8 packages

clamav-0.101.4-1.el8.x86_64
clamav-filesystem-0.101.4-1.el8.noarch
clamav-lib-0.101.4-1.el8.x86_64
clamav-milter-0.101.4-1.el8.x86_64
clamav-update-0.101.4-1.el8.x86_64
clamd-0.101.4-1.el8.x86_64

Comment 7 Fedora Update System 2019-11-25 02:04:10 UTC
clamav-0.101.5-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1543eae191

Comment 8 Fedora Update System 2019-11-25 02:27:55 UTC
clamav-0.101.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-dcbfe89e39

Comment 9 Fedora Update System 2019-11-25 02:38:33 UTC
clamav-0.101.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d6b0a398c2

Comment 10 Fedora Update System 2019-11-25 03:10:14 UTC
clamav-0.101.5-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-52445f11c2

Comment 11 Fedora Update System 2019-11-25 04:15:22 UTC
clamav-0.101.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ce438e7857

Comment 12 Fedora Update System 2019-12-01 01:04:04 UTC
clamav-0.101.5-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-12-04 01:15:19 UTC
clamav-0.101.5-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-12-10 02:01:12 UTC
clamav-0.101.5-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-12-10 02:17:33 UTC
clamav-0.101.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Harald Reindl 2019-12-22 01:26:04 UTC
0.102.1 was already out as that was packaged

Dec 22 01:55:16 buildserver freshclam[543633]: Local version: 0.101.5 Recommended version: 0.102.1
Dec 22 01:55:16 buildserver freshclam[543633]: DON'T PANIC! Read https://www.clamav.net/documents/upgrading-clamav

Comment 17 mwp.junk 2020-03-05 06:48:57 UTC
Did something else change because there isn't a systemd clamd service at all anymore...


    Install clamav-0.102.2-2.fc31.x86_64            @updates
    Install clamav-filesystem-0.102.2-2.fc31.noarch @updates
    Install clamav-lib-0.102.2-2.fc31.x86_64        @updates
    Install clamav-update-0.102.2-2.fc31.x86_64     @updates


sudo systemctl enable --now clamd@scan
Failed to enable unit: Unit file clamd@scan.service does not exist.

sudo systemctl start clamd@scan
Failed to start clamd@scan.service: Unit clamd@scan.service not found.

sudo find /usr/lib/systemd/system -iname "clam*"
/usr/lib/systemd/system/clamav-freshclam.service


How are we suppose to enable / start a clam daemon instanced unit if at least clamd@.service isn't provided?

Isn't this what Sergio was asking in this comment? https://src.fedoraproject.org/rpms/clamav/pull-request/7#comment-34049

Comment 18 Dimitris 2020-03-05 07:40:59 UTC
I think you forgot to install the clamd package.



(In reply to mwp.junk from comment #17)
> Did something else change because there isn't a systemd clamd service at all
> anymore...
> 
> 
>     Install clamav-0.102.2-2.fc31.x86_64            @updates
>     Install clamav-filesystem-0.102.2-2.fc31.noarch @updates
>     Install clamav-lib-0.102.2-2.fc31.x86_64        @updates
>     Install clamav-update-0.102.2-2.fc31.x86_64     @updates
>

Comment 19 mwp.junk 2020-03-05 07:44:41 UTC
lol... so I did! thanks.


Note You need to log in before you can comment on or make changes to this bug.